Assignments Assignments

Classes | Functions | Variables
main2.cpp File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <iostream>`
`#include <fstream>`
`#include <Util/cmdLineParser.h>`
`#include <Util/timer.h>`
`#include <Ray/scene.h>`
`#include <Ray/box.h>`
`#include <Ray/cone.h>`
`#include <Ray/cylinder.h>`
`#include <Ray/sphere.h>`
`#include <Ray/torus.h>`
`#include <Ray/triangle.h>`
`#include <Ray/fileInstance.h>`
`#include <Ray/directionalLight.h>`
`#include <Ray/pointLight.h>`
`#include <Ray/spotLight.h>`
`#include <Ray/sphereLight.h>`
`#include <Util/exceptions.h>`
`#include <Util/threads.h>`

## Classes
struct | Size_t

## Functions
void | ShowUsage (const string &ex)
std::ostream & | operator<< (std::ostream &stream, const Size_t &s)
int | main (int argc, char *argv[])

## Variables
CmdLineParameter< string > | InputRayFile ("in")
CmdLineParameter< string > | OutputImageFile ("out")
CmdLineParameter< int > | ImageWidth ("width", 640)
CmdLineParameter< int > | ImageHeight ("height", 480)
CmdLineParameter< int > | RecursionLimit ("rLimit", 5)
CmdLineParameter< float > | CutOffThreshold ("cutOff", 0.0001f)
CmdLineParameter< int > | LightSamples ("lSamples", 100)
CmdLineParameter< int > | Parallelization ("parallel",(int) ThreadPool::THREAD_POOL)
CmdLineReadable | BinaryShadows ("binaryShadows")
CmdLineReadable | Progress ("progress")
CmdLineReadable * | params []

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[] )

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | stream,
|  | const Size_t & | s )

## ◆ ShowUsage()

void ShowUsage | ( | const string & | ex | ) |

## Variable Documentation

## ◆ BinaryShadows

CmdLineReadable BinaryShadows("binaryShadows") | ( | "binaryShadows" |  | ) |

## ◆ CutOffThreshold

CmdLineParameter< float > CutOffThreshold("cutOff", 0.0001f) | ( | "cutOff" | ,
|  | 0. | 0001f )

## ◆ ImageHeight

CmdLineParameter< int > ImageHeight("height", 480) | ( | "height" | ,
|  | 480 | )

## ◆ ImageWidth

CmdLineParameter< int > ImageWidth("width", 640) | ( | "width" | ,
|  | 640 | )

## ◆ InputRayFile

CmdLineParameter< string > InputRayFile("in") | ( | "in" |  | ) |

## ◆ LightSamples

CmdLineParameter< int > LightSamples("lSamples", 100) | ( | "lSamples" | ,
|  | 100 | )

## ◆ OutputImageFile

CmdLineParameter< string > OutputImageFile("out") | ( | "out" |  | ) |

## ◆ Parallelization

CmdLineParameter< int > Parallelization("parallel",(int) ThreadPool::THREAD_POOL) | ( | "parallel" | ,
|  | (int) ThreadPool::THREAD_POOL | )

## ◆ params

CmdLineReadable* params[]

Initial value:
=
{
&InputRayFile , &OutputImageFile , &ImageWidth , &ImageHeight , &RecursionLimit , &CutOffThreshold , &LightSamples , &BinaryShadows , &Progress , &Parallelization ,
NULL
}
LightSamples
CmdLineParameter< int > LightSamples("lSamples", 100)
ImageHeight
CmdLineParameter< int > ImageHeight("height", 480)
Parallelization
CmdLineParameter< int > Parallelization("parallel",(int) ThreadPool::THREAD_POOL)
CutOffThreshold
CmdLineParameter< float > CutOffThreshold("cutOff", 0.0001f)
InputRayFile
CmdLineParameter< string > InputRayFile("in")
BinaryShadows
CmdLineReadable BinaryShadows("binaryShadows")
RecursionLimit
CmdLineParameter< int > RecursionLimit("rLimit", 5)
ImageWidth
CmdLineParameter< int > ImageWidth("width", 640)
OutputImageFile
CmdLineParameter< string > OutputImageFile("out")
Progress
CmdLineReadable Progress("progress")

## ◆ Progress

CmdLineReadable Progress("progress") | ( | "progress" |  | ) |

## ◆ RecursionLimit

CmdLineParameter< int > RecursionLimit("rLimit", 5) | ( | "rLimit" | ,
|  | 5 | )